0.161 "Chasiv Yar" (Часів Яр) 2024-10-20

* The main changes of this release are:
  - fix(cmake): make build reproducible (Debian #1078153) (Chris Lamb)
  - fix(header-pane): nail down action and state column widths (Dominique Dumont)
  - fix(task-xover): fix crash in case of ERR_NETWORK (Dominique Dumont)
  - refactor(post-ui): replace gtkspell with gspell (Dominique Dumont)
  - docs(README.org): fix git clean instructions (Dominique Dumont)
* Contributors to this release:
  Dominique Dumont, Chris Lamb
* Updated translations:
  cs        (Daniel Rusek)
  da        (Alan Mortensen)
  pl        (Piotr Drąg)
  pt_BR     (Juliano de Souza Camargo)

0.160 "Toresk" (Торецьк) 2024-08-10

* The main changes of this release are:
  - fix color management that was broken with v0.159
  - body-pane: remove icon from "Copy URL" menu
  - load_icon: print error message when icon is not found
  - delete newsrc file when deleting a news server
  - setup StartupWMClass in desktop.in file (#191)
* Contributors to this release:
  Dominique Dumont
* Updated translations:
  ka        (Ekaterine Papava)
  tr        (Sabri Ünal)

0.159 "Vovchansk" (Вовчанськ) 2024-06-05

* The main changes of this release are:
  - remove autotools. Pan can only be built with cmake
  - remove support for obsolete Status Icon
  - pref-ui.cc: fix crash when editing twice the same shortcut
  - pref-ui.cc: fix behavior and warnings in edit shortcut widget
  - README.org: add instructions to clean up autotools files

* Contributors to this release:
  Dominique Dumont, chenrui, Anders Jonsson
* Updated translations:
  de        (Jürgen Benvenuti)
  hu        (Balázs Úr)
  sl        (Martin)
  sv        (Anders Jonsson)
  uk        (Yuri Chornoivan)

0.158 "Avdiivka" (Авдіївка) 2024-04-13

* The main changes of this release are:
  * README.org:
    * add doc for cmake build options
    * fix cmake install de-install doc
    * fix ctest instructions
  * cmake: set WANT_GMIME_CRYPTO option to default off
  * cmake: install help and man files
  * cmake: install translations files as pan.mo

* Contributors to this release:
  Dominique Dumont

Many thanks to Atri Bhattacharya for the help on cmake

0.157 "Mariinka" (Марїнка) - 2024-04-01

* The main changes of this release are:
  - build with autotools in favor of cmake. See README.org for instructions
    on how to use cmake to build Pan.
  - Building Pan with autotools is now deprecated. The plan is to remove
    build with autotools in next release.
  - install png icon files. This is required to fix some Gtk warnings.
  - always display one part article (Dominique Dumont)
  - enable compilation with GnuTLS by default (Dominique Dumont)
  - Fixed GPG segfault, hopefully (Emil Tomczyk)
  - Added support for Gemini URLs in text (Emil Tomczyk)
  - Add Interlingue translation (Olga Smirnova)

* Contributors to this release:
  Dominique Dumont, Emil Tomczyk, Thomas Tanner

* Updated translations:
  da        (Alan Mortensen)
  de        (Jürgen Benvenuti)
  hu        (Balázs Úr)
  ie        (Olga Smirnova)
  sl        (Martin)
  sv        (Anders Jonsson)
  tr        (Sabri Ünal)
  uk        (Yuri Chornoivan)

0.155 "Kherson" (Херсон) - 2023-01-05

* The main changes of this release are:
  - libiconv link to fix build on MacOS (Ken Cunningham)
  - Use password storage by default when it is enabled (Emil Tomczyk)
  - Enable back GPG initialization (Emil Tomczyk)
  - Fix crash in on_socket_created() when password storage is enabled (John Paul Adrian Glaubitz)
  - score rules: makes : and :: behave as specified in slrn manual. (Thomas Tanner)

* Contributors to this release:
  Dominique Dumont, Thomas Tanner, Emil Tomczyk, Ken Cunningham, John Paul Adrian Glaubitz, Daniel Mustieles

* Updated translations:
  da        (Alan Mortensen)
  de        (Jürgen Benvenuti)
  es        (Daniel Mustieles)
  eu        (Asier Sarasua Garmendia)
  hu        (Balázs Úr)
  ka        (Ekaterine Papava)
  pl        (Piotr Drąg)
  sl        (Martin)
  sv        (Anders Jonsson)
  tr        (Sabri Ünal)
  uk        (Yuri Chornoivan)
  zh_CN     (Boyuan Yang)

0.154 "Izium" (Ізюм) - 2023-01-05

  This release fixes a regression from v0.153 where pan can segfault
  when reading groups. See issue #156 for details.

  Some other cleanup related to gtk2 were done.

  Contributors to this release:

    Dominique Dumont, Thomas Tanner

0.153 "Mariupol" (Маріу́поль) - 2022-11-13

  I botched previous release. This release is identical to 0.152
  except that Pan is modified to correctly identify itself as version
  0.153.

0.152 "Mariupol" (Маріу́поль) - 2022-11-12

  The main points of this release are:
  - Gtk2 was removed from Pan. Only Gtk3 is working.
  - Links to old pan.rebelbase.com are replaced with links to
    pan gitlab page.
  - Pan can be compiled with clang

  Many thanks to Thomas Tanner for the code cleanup work done on this
  release.

  Contributors to this release:

    Thomas Tanner, Dominique Dumont

  Updated translations:
    da        (Alan Mortensen)
    de        (Jürgen Benvenuti)
    hu        (Balázs Úr)
    pl        (Piotr Drąg)
    pt_BR     (Enrico Nicoletto)
    sl        (Martin)
    sr        (Мирослав Николић)
    sv        (Luna Jernberg)
    tr        (Emin Tufan Çetin)
    uk        (Yuri Chornoivan)

0.151 "Butcha" (Буча) - 2022-06-25

  This release is dedicated to all people suffering from Russian war
  in Ukraine. Until this war is over, Pan release are named after
  Ukrainian towns ravaged by this war.

  The main points of this release are:
  - Gtk2 minimal version is now 2.24.0. Note that this release is
    probably the last one with Gtk2 support.
  - addition of a helper script to build Pan on Windows (Thomas)
  - fix Gtk3 icon scaling on Windows (Thomas, fixes #144)
  - fix header handling errors (Thomas, fixes #61 and #66)
  - Add a menu entry to allow editing the Score file in text editor (Thomas, fixes #11)

  Many thanks to Thomas Tanner for the work done on this release.

  Contributors to this release:

    Thomas Tanner, Dominique Dumont, Miguel Ángel Nieto, Daniel
    Mustieles, Andre Klapper, Anders Jonsson
    
  Updated translations:
    da        (Alan Mortensen)
    eu        (Asier Sarasua Garmendia)
    hu        (Balázs Úr)
    pl        (Piotr Drąg)
    sr        (Мирослав Николић)
    sv        (Anders Jonsson)
    uk        (Yuri Chornoivan)

0.150 "Moucherotte"

The main points of this release are:
- Dropped support for GMime2. Only Gmime3 is supported
- Gtk3 is now default build, Gtk2 is deprecated

  15fcc65 set maximum number of serveur connections to 20 (Dominique Dumont)
  62e3c58 remove support for GMime2 (Dominique Dumont)
  ba7a42b Enable make distcheck for both GTK builds (Petr Kovar)
  db473c4 run distcheck with gtk3 (Dominique Dumont)
  1b96a80 fix YAML syntax in .gitlab-ci.yml (Dominique Dumont)
  9bb4d18 fix make distcheck for gtk2 (Dominique Dumont)
  0ff10e7 Gtk3 is now default build, Gtk2 is deprecated (Dominique Dumont)
  431f56f Nuke $GIT_REMOTE if not obtained by git config (Petr Kovar)
  7847651 Fix pkg check msgs in configure.ac and print more library versions (Petr Kovar)
  ccd1197 fix (string-view): compilation with clang on Mac (Dominique Dumont)
  2478eb6 fix missing articles with dangling reference (Dominique Dumont)
  ce3600c fix typo in README.org (Dominique Dumont)
* Contributors to this release:
  Dominique Dumont, Petr Kovar
* Updated translations:
  cs        (Petr Kovar)
  es        (Miguel Ángel Nieto)
  sv        (Luna Jernberg)

0.149 "Bellevue"

The main points of this release are:
- Fix freeze when loading group with non-ascii characters in subject
- Avoid mojibake in Subject and Headers
- Fix x-face folding (FoxMcCloud45)
- Add Base64-encoded Face header. (FoxMcCloud45)

Detailed changes:

  fa5f1f6 Removed #include duplicates. (FoxMcCloud45)
  425cc58 Merge commit '4dbec01e' into 'master' (FoxMcCloud45)
  4dbec01 try to figure out what's going on in the CI (Dominique Dumont)
  04f2bf5 Updated source code to latest upstream commit. (FoxMcCloud45)
  e5a7442 Add <provides> to org.gnome.pan.metainfo.xml.in (Petr Kovar)
  1f2b4d5 Update org.gnome.pan.metainfo.xml.in per AppStream 0.15 (Petr Kovar)
  5308fa0 Re-add myself to DOAP (Petr Kovar)
  80cc2da Actually build with enchant-2 for GTK 3 (Petr Kovar)
  d20d27d Run make dist to avoid missing out on renamed files in EXTRA_DIST (Petr Kovar)
  97ff896 Update man page (Petr Kovar)
  fd35c45 Rename pan.appdata.xml to be consistent (Petr Kovar)
  63e13c7 More small edits (Petr Kovar)
  81349f2 Rename desktop file and theme icons (Petr Kovar)
  43a6bb6 Some edits (Petr Kovar)
  e7cff2a Fix make dist (Petr Kovar)
  f0b9949 remove dead code (Dominique Dumont)
  84ecae8 Fix typo in actions.cc (Ryan Schmidt)
  7357c50 header-pane.cc: avoid mojibake in Subject (Dominique Dumont)
  3843f30 header-pane.cc: remove unused variable (Dominique Dumont)
  bf18447 header-pane.cc: avoid mojibake in headers (Dominique Dumont)
  ffd48ba Fix warning in mime-utils.cc (Dominique Dumont)
  ee1e15b improve pan usage message (Dominique Dumont)
  c7c217e fix stuck pan when loading gmane.linux.gentoo.server (Dominique Dumont)
  a04993b Compile fix: gtk_handle_box_new() to gtk_box_new() (FoxMcCloud45)
  682888d Supposed fix for posting icons. (FoxMcCloud45)
  3fc114e Applied Face/X-Face patches to GMIME3 code. (FoxMcCloud45)
  a91de9d Another forgotten conflict fix... (FoxMcCloud45)
  493de9d Fic forgotten conflict. (FoxMcCloud45)
  0f36c31 Fix merge conflict. (FoxMcCloud45)
  a5c8e42 Added experimental support for sending Face header. (FoxMcCloud45)
  5f5b07c Merge xface-fix with compile-fix (FoxMcCloud45)
  ad830b0 Header fix for Arch Linux compilation. (FoxMcCloud45)
  552d383 X-Face: manual folding for length >72. (FoxMcCloud45)
  3b35d8b Fix two compile errors when build with GMime3 (Detlef Graef)
  af7c6df Additional fixes for issue #128 when Pan is build with some options (Detlef Graef)
  e7f5802 Merge branch 'fix-mess-from-glib-update' of https://gitlab.gnome.org/Rhialto/pan (Detlef Graef)
  8cf0cff Merge https://gitlab.gnome.org/GNOME/pan (Detlef Graef)
  39ba1ad Take <glib.h> out of extern "C" (Olaf Seibert)
  0d77554 Remove empty line from file posting.xml (Detlef Graef)
  495bfb2 Fix for GMime3 build (Posting error). Issues #103 and #114 (Detlef Graef)
* Contributors to this release:
  FoxMcCloud45, Petr Kovar, Dominique Dumont, Detlef Graef, Ryan Schmidt, Olaf Seibert
* Updated translations:
  cs        (Petr Kovar)
  es        (Miguel Ángel Nieto)
  pl        (Piotr Drąg)
  pt_BR     (Enrico Nicoletto)
  sv        (Anders Jonsson)
  uk        (Yuri Chornoivan)

0.148 "Chamechaude"

The main points of this release are:
- gmime3 is used by default and gmime2 is deprecated
- release tag format is changed. This release is tagged v0.148
- some UI bugs are fixed
- README was converted from ASCII to org-mode format

Detailed changes:

  c77fd22 set release name (Dominique Dumont)
  3e7fb82 fix preferences window size (close #99) (Dominique Dumont)
  79677ce remove register storage class from cc code (Dominique Dumont)
  ea76dba CI: remove --with-gmime30 obsolete option (Dominique Dumont)
  e42d3ff README.org: prefer gmime3 over deprecated gmime2 (Dominique Dumont)
  6abf0cf configure.ac: use gmime3 by default, gmime2 is deprecated (Dominique Dumont)
  c85950d post-ui: remove space inserted before x-face (gmime3) (Dominique Dumont)
  a8fda6d README.org: fix links at end of page (Dominique Dumont)
  9a7bb19 README.org: convert more links (Dominique Dumont)
  099ccf0 README.org: convert links (Dominique Dumont)
  896cfc5 Convert README to README.org (Dominique Dumont)
  d92dc16 fix (post-ui): rm handle_box to fix missing widgets (Dominique Dumont)
  6260911 fix other non-utf8 char in comments (Dominique Dumont)
  e88d74a converted ISO-8859 comments to UTF-8 (Dominique Dumont)
  25f130c Merge branch 'back-to-ascii-msgids' (Dominique Dumont)
  d5f41ee bump release number (Dominique Dumont)
  b7e7826 fix (appdata): change appstream id (Dominique Dumont)
  d2990c7 fix: can compile gtk3 without gtk2 libs (Dominique Dumont)
  e2f001c Use only ascii for translatable messages. (Dominique Dumont)
  86acf0a Revert "One more Unicode apostrophe" (Dominique Dumont)
* Contributors to this release:
  Dominique Dumont
* Updated translations:
  pl        (Piotr Drąg)
  pt_BR     (Enrico Nicoletto)
  sv        (Anders Jonsson)
  uk        (Yuri Chornoivan)

0.147 "Sweet Solitude"

This release contains mostly bug fixes so pan can be compiled on major
Linux distributions.

In the next releases, we'll try to get rid of gmime2 code. Please reach out to
pan-devel [at] nongnu.org if this may cause issues.

* Detailed changes:
  4840346 Fix for GMime3 bug in: message_add_signed_part() (Detlef Graef)
  50ea85a Try an autodetection strategy: (Olaf Seibert)
  0c1b7bd Fix compiler warning (Olaf Seibert)
  d0cbb97 Work around corrupt/inconsistent file names. (Olaf Seibert)
  637745c Replace totally unnecessary UTF-8 colons by real ones. (Olaf Seibert)
  e6aaea8 Remove empty line from file posting.xml (Detlef Graef)
  65a71e1 Fix for GMime3 build (Posting error). Issues #103 and #114 (Detlef Graef)
  0ebef22 build: Target a specific GLib API version (Simon McVittie)
  6afcdb8 fix (configure.ac): update GETTEXT version (Dominique Dumont)
  3d6f401 fix (gitlab ci): use libenchant-2-dev (Dominique Dumont)
  b2e36e6 fix (gitlab ci): set DEBIAN_FRONTEND noninteractive (Dominique Dumont)
  3e2cc1b Adjust packages to install in CI. (Olaf Seibert)
  7e10591 Move more header inclusions outside extern "C" (Simon McVittie)
  52b299e Take <glib.h> out of extern "C" (Olaf Seibert)
  77d1c18 add me to doap files and remove Charles and Petr (Dominique Dumont)
  ade0e36 Add Swedish help translation (Anders Jonsson)
  0049344 Replace cgit with gitlab URL in mknews (Andre Klapper)
  8b972b1 Updated Spanish translation (Daniel Mustieles)
  83c9561 Updated Spanish translation (Daniel Mustieles)
  ceadf9e Post-release bump (Petr Kovar)
* Contributors to this release:
  Olaf Seibert, Dominique Dumont, Detlef Graef, Simon McVittie,
  Daniel Mustieles, Petr Kovar, Andre Klapper, Anders Jonsson
* Updated translations:
  ca        (Jordi Mas)
  eu        (Asier Sarasua Garmendia)
  hu        (Balázs Úr)
  id        (Andika Triwidada)
  pl        (Piotr Drąg)
  pt_BR     (Rafael Fontenelle)
  sv        (Anders Jonsson)
  tr        (Sabri Ünal)
  uk        (Yuri Chornoivan)

0.146 "Hic habitat felicitas"
  26eea78 Update .gitlab-ci.yml with GTK 3 (Petr Kovar)
  7f59091 Use an int instead of a char (Jonathan Briggs)
  476b5a6 Fix for issue #77. Segfault when build with gmime-3 (Detlef Graef)
  e5be4d4 Fix to build Pan with options --with-gmime30 and --with-gmime-crypto
          (Detlef Graef)
  edad96d Update bug URLs (Sebastiaan Lokhorst)
  e65ba15 Replace Bugzilla by Gitlab URL in DOAP file (Andre Klapper)
  ba6322f Add .gitlab-ci.yml (Petr Kovar)
  b9a4154 Fix ypart begin for bpf ranges (Federico Cuello)
  1de4962 Update URLs to GitLab (Petr Kovar)
  ad60bca Module was renamed to pan (Andrea Veri)
* Contributors to this release:
  Petr Kovar, Detlef Graef, Sebastiaan Lokhorst, Jonathan Briggs,
  Federico Cuello, Daniel Mustieles, Andre Klapper, Andrea Veri
* Updated translations:
  bs        (Sebastiaan Lokhorst)
  cs        (Sebastiaan Lokhorst)
  da        (Sebastiaan Lokhorst)
  de        (Sebastiaan Lokhorst)
  el        (Sebastiaan Lokhorst)
  es        (Daniel Mustieles, Sebastiaan Lokhorst)
  fi        (Sebastiaan Lokhorst)
  fr        (Sebastiaan Lokhorst)
  hu        (Sebastiaan Lokhorst)
  pl        (Sebastiaan Lokhorst)
  pt        (Sebastiaan Lokhorst)
  pt_BR     (Rafael Fontenelle)
  ro        (Sebastiaan Lokhorst)
  sl        (Sebastiaan Lokhorst)
  sr        (Sebastiaan Lokhorst)
  sr@latin  (Sebastiaan Lokhorst)
  sv        (Josef Andersson)
  tr        (Sebastiaan Lokhorst)

0.145 "Duplicitous mercenary valetism"
  7ec8ca1 Do not use front() on empty vector (Jonathan Briggs)
  29aad7e Bug 793228 nzb file with empty segment lists crash pan (paul@flinders.org)
  27190a5 Bug 793277 Use after free in main() (paul@flinders.org)
* Contributors to this release:
  paul@flinders.org, Petr Kovar, Jonathan Briggs
* Updated translations:
  da        (Joe Hansen)
  de        (Mario Blättermann)
  es        (Daniel Mustieles)
  hu        (Balázs Úr)
  pt_BR     (Rafael Fontenelle)
  sr        (Мирослав Николић)
  sr@latin  (Мирослав Николић)

0.144 "Time is the enemy"
  28ab3ba Validate pan.appdata.xml.in and tweak cleanfiles (Petr Kovar)
  83e8a01 Remove outdated FSF address (Petr Kovar)
  d73c52c Update README (Petr Kovar)
  aa59d3f Add man page (Petr Kovar)
  f55b7fb Upgrade pan.appdata.xml.in (Petr Kovar)
  f6061b3 Require GMime 3.0 to be explicitly enabled, don't fallback to it
          (Petr Kovar, #791435)
  7c9f34b Patch for GMime 3.0. Porting to GMime 3.0 still not completed.
          (Detlef Graef, #786438)
  0600d83 Can't open nzb files from desktop (Sebastiaan Lokhorst, #789988)
  75ae784 Follow Icon Theme Specification (Petr Kovar)
* Contributors to this release:
  Petr Kovar, Sebastiaan Lokhorst, Detlef Graef
* Updated translations:
  cs        (Petr Kovar)
  nb        (Petr Kovar)
  pl        (Piotr Drąg)
  pt_BR     (Rafael Fontenelle)

0.143 "Quaint little villages here and there"
  bb0c906 INSTALL file is no longer used (Petr Kovar)
  25e2b0a Use xdg-open instead of deprecated gnome-open (Petr Kovar)
  02834e6 Update German translation (Mario Blättermann)
  12b6b46 Fix nits wrt GMime 3.0 (Petr Kovar)
  90c1604 First patch to enable GMime 3.0 lib. Porting to GMime 3.0 not yet
          completed. (Detlef Graef)
  b376c88 One more Unicode apostrophe (Piotr Drąg)
  8022375 Edit strings (Petr Kovar)
  42bea90 Added autohiding attachments panel (Marek Černocký)
  ea46a27 Fixed groups/body panels resizing in GTK 3 (Marek Černocký)
  e9a1173 Attempt to fix display of threads with unread articles. (Jason Lynch)
  44d7766 Use Unicode in translatable strings (Piotr Drąg)
  75a9fd3 Updated Czech translation (Marek Cernocky)
  05f02ad Fixed showing combobox options unlocalized (Marek Cernocky)
  ba08fd2 Update Spanish translation (Daniel Mustieles)
  3e70a04 Update German translation (Mario Blättermann)
  b432931 Enable all TLS versions supported by GnuTLS (Detlef Graef)
* Contributors to this release:
  Petr Kovar, Piotr Drąg, Mario Blättermann, Marek Černocký, Marek Cernocky,
  Detlef Graef, Jason Lynch, Daniel Mustieles
* Updated translations:
  cs        (Petr Kovar, Marek Cernocky)
  da        (Ask Hjorth Larsen)
  de        (Mario Blättermann)
  es        (Daniel Mustieles)
  hu        (Balázs Úr)
  pl        (Piotr Drąg)
  sr        (Мирослав Николић)
  sr@latin  (Мирослав Николић)
  sv        (Anders Jonsson, Sebastian Rasmussen, Josef Andersson)

0.142 "He slipped to Sam a double gin"
  8b56f1b Update docs for password storage change (Petr Kovar)
  b8c8c8e Fix some ISO C++ 11 warnings (Detlef Graef)
  1758891 Change use-gnome-keyring to use-password-storage (Petr Kovar)
  8f5e9f0 Build libsecret & gcr with gtk3 only, gnome-keyring with gtk2
          (Petr Kovar)
  1cf6b97 Remove dependency on deprecated libgnome-keyring. New libraries used:
          libsecret and gcr (GTK+ 3 only). (Detlef Graef)
  d1206be Rewrite autogen.sh to drop dependency on gnome-common (Detlef Graef)
  faa4de3 Nuke intltool (Petr Kovar)
  24f5aeb Forgot to update HELP_LINGUAS (Petr Kovar)
  7b53a67 Update and add Czech translation (Petr Kovar)
  1c4598a Fix the strftime test for mingw64 (Steve Davies)
  5790571 Update docs and include COPYING-DOCS (Petr Kovar)
  bcb5d0f Re-add help menu item for manual (Petr Kovar)
  df05588 Add new documentation infrastructure (Petr Kovar)
  564929f Updated Spanish translation (Daniel Mustieles)
  921488a Updated Spanish translation (Daniel Mustieles)
  776286e Updated Spanish translation (Daniel Mustieles)
  f3ff30e Fixed typos in a string (Daniel Mustieles)
  53d0103 Updated Spanish translation (Daniel Mustieles)
  117793f [l10n] Updated German doc translation (Mario Blättermann)
  68c2a7d Updated Spanish translation (Daniel Mustieles)
  f4cede7 Improve help (Heinrich Müller)
  a477483 Final fixes to the help system (Petr Kovar)
  14f1a6e Tweak the help support (Petr Kovar)
  707d801 Add gnome-doc-utils basic support (Petr Kovar)
  7c79aa0 Add Pan manual (Douglas Bollinger)
  ee7e4ad Fix size of preference window too large (Detlef Graef, #697983)
  a76d293 Fix Header Pane menu not shown when built without option --with-gnutls
          (Detlef Graef, #777711)
  4c4dcf6 Mention crypto in configure output (Petr Kovar)
  6072d9a Post-release bump (Petr Kovar)
* Contributors to this release:
  Petr Kovar, Daniel Mustieles, Detlef Graef, Steve Davies, Mario Blättermann,
  Heinrich Müller, Douglas Bollinger
* Updated translations:
  ca        (Jordi Mas)
  cs        (Petr Kovar)
  da        (Joe Hansen)
  de        (Mario Blättermann)
  es        (Daniel Mustieles)
  pl        (Piotr Drąg)
  pt_BR     (Rafael Fontenelle, Enrico Nicoletto)
  sv        (Anders Jonsson)

0.141 "Tarzan's Death"
  194f2dc Treat a 500 response to MODE READER as OK (Per Hedeland)
  3de214e Fix a memory leak found by valgrind (Olaf Seibert)
  e5ea76f Fix a memory leak found by valgrind (Olaf Seibert)
  3ed2498 Fix a memory leak found by valgrind (Olaf Seibert)
  1bdde46 Fix a memory leak found by valgrind (Olaf Seibert)
  c166cc8 Fix a memory leak found by valgrind (Olaf Seibert)
  22e01f8 Fix a memory leak found by valgrind (Olaf Seibert)
  88e3401 clang static analyzer (Viktoras)
  9ad1e02 Cannot start after removing last news server (freepro)
  4207a74 Do not overwrite silently draft file (Detlef Graef, #704227)
  d1faec5 Get rid of deprecated g_atexit() calls (Detlef Graef)
  fefda68 Closing Pan without server config (Detlef Graef, #729329)
  73d0abd Deprecated g_type_init() with glib2 > 2.36 (Detlef Graef)
* Contributors to this release:
  Olaf Seibert, Detlef Graef, Petr Kovar, Viktoras, Per Hedeland, freepro
* Updated translations:
  ar        (Piotr Drąg)
  az        (Piotr Drąg)
  cs        (Petr Kovar)
  de        (Mario Blättermann)
  en_CA     (Piotr Drąg)
  en_GB     (Piotr Drąg)
  es        (Daniel Mustieles, Piotr Drąg)
  fr        (Piotr Drąg)
  hu        (Balázs Meskó)
  it        (Piotr Drąg)
  ms        (Piotr Drąg)
  nb        (Piotr Drąg)
  pl        (Piotr Drąg)
  pt        (Piotr Drąg)
  pt_BR     (Enrico Nicoletto)
  ro        (Jobava)
  sl        (Piotr Drąg)
  sr        (Мирослав Николић)
  sr@latin  (Мирослав Николић, Piotr Drąg)
  sv        (Josef Andersson)

0.140 "Chocolate Salty Balls"
  dfd5c32 Fix a memory leak found by valgrind (Olaf Seibert)
  9ca587f Avoid clearing a timer event source id which is by now invalid
          (Olaf Seibert)
  4c08134 Fix a memory leak found by valgrind (Olaf Seibert)
  7f2678d Fix a memory leak found by valgrind (Olaf Seibert)
  3c07a42 Fix a memory leak found by valgrind (Olaf Seibert)
  d702d1b Fix a memory leak found by valgrind (Olaf Seibert)
  83cd963 Fix a memory leak found by valgrind (Olaf Seibert)
  833ccc6 Fix a memory leak found by valgrind (Olaf Seibert)
  35ecd62 Fix typo in header guard (Olaf Seibert)
  bbf5f29 Conditional jump or move depends on uninitialised value(s) (Olaf
          Seibert)
  08d678e Conditional jump or move depends on uninitialised value(s) (Olaf
          Seibert)
  cb9c937 Conditional jump or move depends on uninitialised value(s) (Olaf
          Seibert)
  44ffc85 Fix build with libc++ (Petr Kovar)
  d62efbf Do not distribute outdated pan.iss (Petr Kovar)
  c3679d1 Move ChangeLog -> NEWS & update docs (Petr Kovar)
  f9e0a50 Replace RulesInfo.deque<RulesInfo> with deque<RulesInfo *>
          (Olaf Seibert)
  4323223 Fix missing recursion (this is a pre-existing bug) (Olaf Seibert)
  0b399ec Changed a deque<FilterInfo> into a deque<FilterInfo *> (Olaf Seibert)
  2024f05 Deleted object is touched again (Olaf Seibert)
  9b31c87 Remove leftover code (Petr Kovar)
  80566c8 Do not include https:// in GIT_REMOTE (Petr Kovar)
  f55cebc Rules Enabled preference flag wasn't loaded (Andrew Nile)
  b74bcc9 Prevent EOF char from stopping binary upload in Win (Andrew Nile)
  73863fc Missing break (Andrew Nile)
  81ec291 Update license.h (Petr Kovar)
  5186a2a Do not include protocol & user name in GIT_REMOTE (Petr Kovar)
  4228421 Fix accel key 'R' (used twice) (Detlef Graef)
  9471b22 fix: close posting window (Detlef Graef)
  46f97aa Unneeded detour via C-type strings (Olaf Seibert)
  6b1b345 Fix saving of SSL certificate (Detlef Graef)
  055fe95 Fix Edit SSL Certificates crash (walt)
  a52b404 Fix localedir (Petr Kovar)
  94d5b7c Update FSF address (Petr Kovar)
  3663720 Fix crash at PanTreeStore::get_iter() (Detlef Graef)
  2ce62c7 Update desktop file (Petr Kovar)
  0806805 Add appdata support for Pan (Petr Kovar)
  34e1bb5 file::get_pan_home() : fix for g++-5 non-CoW std::string semantics
          (Alexandre Rostovtsev)
  c186c9f Rename configure.in -> configure.ac (Petr Kovar)
  af87825 When "Show Matching Articles' Threads", messages with dangling
          References not shown (Lionel Elie Mamane)
  81929d0 Fixes in encode-cache.cc, task-upload.h, uuencode.c (Andrew Nile)
  2ae6aff Applied refresh patch for body-pane (Heinrich Müller)
  8bd7184 Fixes in pan/gui/prefs-ui.cc (Andrew Nile)
  0a57a01 Various UI fixes (Heinrich Müller)
  7ca9c6c Updated FSF's address (Daniel Mustieles)
  4820c84 Remove outdated pan.spec.in (Petr Kovar)
  6daf184 Fix XZVER, append \r\n (Heinrich Müller)
  b1af29b Fix for ISO C++ and struct deque (Heinrich Müller)
  6200d57 Fix XFEATURE for XOVER task (Heinrich Müller)
  8325c88 Fix XFEATURE for groups task (Heinrich Müller)
  29edfc3 Added aSYNC behavior; disabled treeview on search (Heinrich Müller)
  b00f96e Added support for GtkSpell 3 (Yclept Nemo)
  099bd57 next-unread-group etc. broken (Heinrich Müller, #690789)
  42b9292 Improve verbose output in non-GUI mode (Heinrich Müller)
  c251367 Segmentation fault when using external editor to compose newsgroup
          postings (Heinrich Müller)
  db8adcf Let the user deactivate task pane pop-ups from task pane (Heinrich
          Müller)
  f509257 Posting - Error 441 is not a successful post (Heinrich Müller,
          #693786)
  f6c7a64 Use zlib CRC32 for compression.cc; fix non-GUI header XOVER (Heinrich
          Müller)
  cb7b50a Use zlib CRC32 (Heinrich Müller)
  5133e23 Improve speed of uudecode (Heinrich Müller)
  5eef4fc Fix IP lockout on ISP IP change; fix SIGSEGV in socket impl (Heinrich
          Müller)
  4922045 Fixes for XFEATURE; patch for 'match only read' (Heinrich Müller,
          Cal Peake)
  acb4362 Avoid NPE on early init of server edit dialog; fix XFEATURE (Heinrich
          Müller)
  2d053c4 Let the user choose compression type with combobox; hint which server
          supports which compression scheme (Heinrich Müller)
  88fe336 Activate action 'get-new-headers-when-entering-group' only for
          non-virtual groups (Heinrich Müller)
  9e301fb Fix for line-wrapped x-face header (Heinrich Müller)
  3f81af1 Properly escape < and > chars in subject (Heinrich Müller)
  d454a36 Fix for group enter (Heinrich Müller)
  e2ca6d2 Fix NPE (Heinrich Müller)
  4f681cd Added support for Diablo and XFEATURE (Heinrich Müller)
  00fe4a3 Added XZVER functionality (Heinrich Müller)
  6a8de8b Patch for user agent in the GUI (Miroslav Sabljic)
  dcc2556 Refactoring; added virtual folders for sent and drafts (Heinrich
          Müller)
  f7ba647 Make <cert> filename.pem become related to the current $PAN_HOME dir
          (Heinrich Müller, #680295)
  a823ae8 Patch for NetBSD & iconv (Heinrich Müller)
  4ad8971 Fix segfault in task-pane.cc:148 (Heinrich Müller)
  c860200 Disconnect only if set in prefs (Heinrich Müller)
  9cd77f9 Added HTML parser (Heinrich Müller)
  6a2a9df HTML preview (Heinrich Müller)
  52ccea5 Fix for systray behavior (Heinrich Müller)
  884e4c1 Removed dbg output (Heinrich Müller)
  9faef90 Improved gtkstyle handling for progressview (Heinrich Müller)
  29120fa Change show sig icon (Heinrich Müller)
  8b934ce Adapt to any screen size in prefs-ui, show scrollbars if needed
          (Heinrich Müller)
  cf68577 "Complete" the Colors tab; pan 0.136 fails to build on 64-bit OS X
          (Heinrich Müller, #681037, #673813)
  07e4614 Fix NPE in action_combo (Steve Davies)
  4162e82 Shortcuts tab is always drawn first (Heinrich Müller, #681036)
  1dba05f Update desktop file (Heinrich Müller, #680468)
  a3bbefc Add an option to turn-off 'tool-tips' on the Task Manager panel
          (Heinrich Müller, #680298)
  b5aeade Added save option for inline yEnc images (Heinrich Müller)
  87c6bda Fixed singletons, moved color init to pan.cc (Heinrich Müller)
  56d4463 Add Background and foreground text color selection; GTK+ 3 compiler
          cleanup; cleanups in various files (Heinrich Müller, #651306)
  f21f939 Fixed behavior of mark_read in taskarticle according to action-implied
          post-action or simple GUI interaction (Heinrich Müller)
  03d24a9 Fix for http://lists.nongnu.org/archive/html/pan-users/2012-07/msg00033.html
          (Heinrich Müller)
  014d082 Fixed a memory leak with new regex (Heinrich Müller)
  29da552 Filtering within task list (Heinrich Müller, #679274)
  55733b8 Fixed memory leak in shortcut dialog (Heinrich Müller)
  c249f58 Fix for display of shortcut literals (Heinrich Müller)
  395f288 Added info about gkr to README (Heinrich Müller)
* Contributors to this release:
  Heinrich Müller, Petr Kovar, Olaf Seibert, Detlef Graef, Andrew Nile, walt,
  Daniel Mustieles, Alexandre Rostovtsev, Steve Davies, Miroslav Sabljic, Cal
  Peake, Yclept Nemo, Lionel Elie Mamane
* Updated translations:
  bs        (Samir Ribic)
  ca        (Jordi Mas, Gil Forcada)
  cs        (Petr Kovar, Marek Černocký)
  de        (Mario Blättermann, Heinrich Müller, Christian Kirbach)
  el        (Maria Mavridou, Dimitris Spingos)
  es        (Daniel Mustieles)
  fi        (Lasse Liehu)
  fr        (Bruno Brouard)
  hu        (Balázs Úr)
  ja        (Jiro Matsuzawa)
  pt        (Pedro Albuquerque, Duarte Loreto)
  pt_BR     (Rafael Ferreira, Rafael Fontenelle, Júnior Pires)
  sl        (Matej Urbančič, Martin Srebotnjak)
  sr        (Мирослав Николић)
  sr@latin  (Мирослав Николић)
  sv        (Anders Jonsson)
  tr        (Necdet Yücel, Muhammet Kara)

0.139 "Sexual Chocolate"
* std::logic_error thrown ("basic_string::_S_construct null not valid") 
  (Heinrich Müller, #678445) 
* added error popup for posting to a disabled server (max connections 0) 
  (Heinrich Müller)
* Patches to SSL socket handling (Steve Davies)
* clear last-visited (group/article) on middle-click (Heinrich Müller)
* Updated translations: Spanish (Daniel Mustieles), Slovenian (Martin Srebotnjak, 
  Andrej Žnidaršič, Matej Urbančič).

0.138 "Der Geraet"
* Hotkey for showing/hiding signatures in the article body. (Heinrich Müller,
  #350496)
* Keep position on selected item on re-order. (Heinrich Müller, #443702)
* Remember last read post. (Heinrich Müller, #448416)
* Open url in browser. (Heinrich Müller, #464335)
* Signature printed double when line needs to be wrapped. (Heinrich Müller,
  #533178)
* Tasks marked "Stopped" should also remain stopped when pan restarted.
  (Heinrich Müller, #543319)
* "Save at" options other then %g and %G. (Heinrich Müller, #550007)
* Filter Cross-posters. (Heinrich Müller, #587585)
* 136 using secure ssl and get continuous popups for certs but no connection.
  (Heinrich Müller, #673927)
* PO message very difficult to translate. (Heinrich Müller, #675953)
* Pan crashes while fetching new headers. (Heinrich Müller, #677741)
* Updated translations: Spanish (Daniel Mustieles), French (Bruno Brouard),
  Czech (Petr Kovar), Slovenian (Martin Srebotnjak, Andrej Žnidaršič, Matej
  Urbančič).

0.137 "The Mattel and Mars Bar Quick Energy Chocobot Hour"
* Bugfix release for errors regarding segfaults etc. with thread handling.
* Colorize group names. (Heinrich Müller)
* Fix three-horizontal-pane layout between sessions. (Heinrich Müller)
* Stop tasks when there is no space left on device. (Heinrich Müller)
* Honour default attachments folder setting if group folder is not set.
  (Heinrich Müller)
* Updated translations: Spanish (Daniel Mustieles), Slovenian (Matej
  Urbančič, Martin Srebotnjak).

0.136 "Far too busy being delicious..."
* Support for uploading attachments (with NZB creation) to Usenet. (Heinrich 
  Müller)
* Selectable Content-Transfer-Encoding. (Heinrich Müller)
* Selectable GtkSpell default language. (Heinrich Müller)
* Support for encrypting and signing articles with a public/private PGP key.
  (Heinrich Müller)
* Connections can now be encrypted with TLS 1.0. (Heinrich Müller)
* Various bugfixes/enhancements from Bugzilla.
* Auto-Cache/-Download/-Delete/-Mark read based on scores. (Heinrich Müller)
* D-Bus support for automatic batch addition of new files to the Download Queue.
  (Heinrich Müller)
* Status Icon support. (Heinrich Müller)
* GNOME Keyring support for safely storing server passwords. (Heinrich Müller)
* Updated translations and help: Spanish (Daniel Mustieles, Nicolás Satragno),
  Slovenian (Andrej Žnidaršič, Matej Urbančič, Martin Srebotnjak), German
  (Christian Kirbach, Mario Blättermann), Czech (Marek Černocký, Petr Kovar),
  Esperanto (Kristjan SCHMIDT), Danish (Joe Hansen), Japanese (OKANO Takayoshi),
  Russian (Yuri Myasoedov), French (Bruno Brouard), Brazilian Portuguese
  (Gabriel Speckhahn).

0.135 "Tomorrow I'll Wake Up and Scald Myself with Tea"
* Improve URI detection in the body pane. (K. Haley)
* Make highlighting of URIs in the body pane optional. (K. Haley)
* Add a newsrc autosave timer. (K. Haley)
* Fix mailto URI encoding. (K. Haley, #648375)
* Create a NZB file from the list of articles. (Heinrich Müller)
* Optional compatibility with GTK+ 3. (K. Haley)
* Fix the text-massager-test failure. (K. Haley, #642746)
* Support format=flowed in text-massager. (K. Haley)
* Guess deliberate line breaks. (K. Haley)
* Saving articles from the NZB file no longer causes articles to be queued
  multiple times. (K. Haley)
* Separate line length check for each quote level. Should only be for quoted
  levels. (K. Haley)
* Add the wrap selected option to the post editor. (K. Haley)
* Slightly improve Pan.ico. (Petr Kovar, #499214)
* Updated translations: Spanish (Jorge Gonzalez, Daniel Mustieles), Swedish
  (Daniel Nylander), German (Mario Blättermann), Danish (Joe Hansen), Czech
  (Petr Kovar)

0.134 "Wait for Me"
* Fix compilation with GCC 4.4. (Charles Kerr, #573722)
* WARNING: setting an adjustment with non-zero page size is deprecated.
  (Charles Kerr, #579753)
* No window icon when running in NZB-mode. (Charles Kerr, #574419)
* Remove deprecated glib/gdk/gtk calls to prepare for GNOME 3.
  (Charles Kerr, #596648)
* Use GRegex instead of PCRE. (Charles Kerr, #596653)
* Tooltips missing from two 'Post Article' toolbar buttons.
  (Charles Kerr, #548860)
* Infinite loop with server that doesn't support LIST NEWSGROUPS.
  (Charles Kerr, #545220)
* 'Add port to server dialog' -- apply commits 862da67, af30418 from
  lostcoder. (K. Haley, Charles Kerr, #527313)
* Support 64 bit article numbers. (Charles Kerr, #549655)
* Don't queue xover for 0 connections. (Charles Kerr, #596682)
* Make wrapping honor changes in compose-wrap pref. (Charles Kerr, #596680)
* Change nzb task saving delay & add pref. (Charles Kerr, #596683)
* Port to GMime 2.4. (K. Haley, #541676)
* Spawn editor asynchronously. (K. Haley, #465763)
* Change allocation buffer for article tree. (K. Haley)
* Save some more memory by re-ordering a few variables. (K. Haley)
* Don't save files as executable. (K. Haley)
* Fix handling of multibyte spaces in text-massager. (K. Haley)
* Re-write multipart handling for viewing. (K. Haley)
* Change default mime-type for incoming attachments. (K. Haley, #135734)
* Add some additional mime types. (K. Haley)
* Add memchunk.h to Makefile.am. (K. Haley)
* GTK+ 2.16 required. (K. Haley)
* Fix bug in multipart article mids. (K. Haley)
* Add console support for windows. (K. Haley)
* Update filter-info and scorefile-test to support non-overview headers.
  (K. Haley)
* Skip non-overview test if not cached. (K. Haley)
* Make ArticleCache::get_message const. (K. Haley)
* Allow scoring article on all headers. (K. Haley)
* Promote rescore_articles to data interface. (K. Haley)
* Update score when article is cached. (K. Haley)
* Add regex support to search. (Jack Cuyler, K. Haley, #351196)
* Additional info for about & User-Agent. (K. Haley, #424083)
* Add support for compiling with gmime-2.5. (K. Haley)
* Allow subject line use in save path. (K. Haley, #403797)
* Improve regexes used for squashing subject line. (K. Haley)
* Reduce memory allocation for multiparts. (K. Haley)
* Allow newsrc paths relative to PAN_HOME. (K. Haley)
* Save tasks on exit. (K. Haley, #609355)
* Always show full revision info in UA hdr. (K. Haley)
* Remember size of post window. (K. Haley)
* Add tests for subject line. (K. Haley)
* Make separator user configurable. (K. Haley)
* Replace deprecated gdk_pixmap_create_from_data. (K. Haley)
* Add support for Face header. (K. Haley)
* Fix crash possibly due to change in cairo. (K. Haley)
* Change from GdkPixmap to GdkPixbuf. (K. Haley)
* Remove deprecated function through gtk 2.18. (K. Haley)
* Compatibility with -std=c++0x. (K. Haley)
* Fix crash in gio_func on OSX. (K. Haley)
* Updated translations: Arabic (Djihed Afifi), Brazilian Portuguese (Flamarion
  Jorge), Spanish (Jorge Gonzalez), Portuguese (Duarte Loreto), French (Claude
  Paroz, Bruno Brouard), Catalan (Joan Duran), German (Mario Blättermann,
  Andreas Kuhlen), Basque (Inaki Larranaga Murgoitio), Swedish (Daniel
  Nylander), Czech (Petr Kovar), Slovenian (Andrej Žnidaršič), Danish (Joe
  Hansen), Simplified Chinese (Aron Xu)

0.133 "House of Butterflies"
 535413 fix heap overflow in pan when parsing .nzb files (Pavel Polischouk)
 467446 image viewer truncates image (Aaron Von Gauss)
 540798 handle NNTP server '203 Streaming OK' responses (Mark Beach)
 524620 compile fails on glib 2.16: g_assert moved to gtestutils.h (Duncan)
 527852 use po/LINGUAS (Gilles Dartiguelongue)
 482140 get last N days' headers fails when no headers in N days (Anonymous)
 514167 'post' window doesn't fit on 800x480 display (Alexey Zakhlestin)
 541704 pan uses deprecated `hash_set' class (Charles)
 527853 unit test 'scorefile-test' fails on sparc (Ferris McCormick)

0.132 "Waxed in Black"
 441859 in 0.131, 'read next unread' didn't always work (Artur Jachacy)
 456730 text before signature delimiter is doubled (Alexander Skwar)
 444184 0.131 fails to build on RH4/CentOS4 (Steven Ellis)
 438021 can't post one message to multiple groups at one time (Keith)
 355041 Two-segment group name abbreviations (Benjamin Esham)
 447680 handle nzb files whose parts are in the wrong order (Benjamin Charron)
 349490 better info for the tool-tip of the Tasks button (Douglas Bollinger)
 456519 Dependency on gmime version should be 2.1.9, not 2.1.0 (Gregory Lee)

0.131 "Ghosts: First Variation"
 441442 bad yEnc decoding / occasional crash (Charles + valgrind)
 440853 fix 0.130 crash while fetching some headers (Sci Fi)
 440470 fix 0.130 bug that made deleting articles very slow (Walt)
 440194 fix 0.127 memory leak (Charles + valgrind)
 426377 workaround for GMime bug that won't show multipart images (Mike)
 440545 saving a group's headers could be faster (Charles + sysprof)
 440990 more speedups in saving headers (Charles + sysprof)
 441034 StringView::ltrim() speedups (Charles + sysprof)

0.130 "Hyperbolicsyllabicsesquedalymistic"
 417627 crash after throwing an instance of 'std::length_error' (Serge)
 438604 froze replying to posts with just "Re: " in the subject (Artur Jachacy)
 437686 0.129 didn't build on irix with MIPSpro C++ compiler. (Avi Bercovich)
 419199 fix 0.128 regression. (Frank Tabor)
 433316 task window coordinates set to -32000 on Windows (Argoyne)
 436101 make nzb suffix filter case-insensitive (Darren Albers)
 348445 tweak menu text to reflect multiple group selections (Darren ALbers)
 361388 add ability to queue nzb's when viewing them (Adrian Yee)

0.129 "Benson & Hedges Moscow Gold"
 436064 RFE: add 'copy url' to context menu
 436101 RFE: add nzb filter to 'import nzb' dialog (Frederic Crozat)
 428578 Crash when trying to post a supersede (Stephane Gregoire)
 434502 changing pane in tabbed mode (Lanif)
 432387 0.128 crash / memory corruption (Jeremy, Pav Lucistnik)
 432289 sometimes queued tasks never decode (Calin)
 419199 wrap should not be mandatory (Bill Baker)
 348445 can't select multiple groups (Artur Jachacy)
 090594 add option to always spawn editor when composign (Gauze)

0.128 "SR/CL: Leitmotiv: Toynbee Idea"
 431247 "Add a Scoring Rule" crashes if no article is selected (Christophe)
 432023 0.127 crashes when loading corrupted groups (Charles)
 432024 Speed improvements when saving and loading groups (Charles)
 431552 0.127 no longer stops downloading when disk is full (Alan Olsen)
 430958 Get N Headers fails if group has small # of headers (Anon)
 429449 Pan 0.126, 0.127 won't compile w/gtk 2.6.x (Jeff Berman)
 429485 Articles marked read showing back up (Frank Tabor)
 407301 All new articles are shown, regardless of score (Per Hedeland)

0.127 "Eckythump"
 428151 Compilation error in e-util.cc under fink (SciFi)
 424381 Pango warnings from attachments with accented chars (SciFi)
 427230 Sigfiles with CR/LFs not handled properly (Artur Jachacy)
 393589 X-Face not shown properly (Ivan Rajkovic)
 425993 Crash when downloading new headers in 0.126 (Drew Yavor)
 427212 Crash when hitting 'read more' when no group loaded (Duncan)
 424240 Downloading headers from the command line (Eric Lauriault)
 424248 In --nogui mode, exit when the last task finishes. (Eric Lauriault)
 427165 Task pane's ETA wrong on new xover tasks (Charles)
 426375 Task pane's ETA wrong when selecting > 4GB of queued files (Mike)

0.126 "Demon Sweat"
 420618 Decode in a worker thread for faster GUI/network (Calin Culanu)
 423376 Status Bar's "tasks" and "log" buttons toggle the windows (Walt)
 411446 Use `Message-ID', not `Message-Id', when posting (Charles)
 411447 Header pane loses selection when deleting articles (Jeff Berman)
 411657 Post window's cursor appears in the wrong place (Frank Tabor)
 411659 post window's "save draft" file dialog gets confused (Charles)
 411959 profile's `Reply-To' header used wrong in 0.125 (Mimi Doucet)
 423684 Latest glib issues "memory warnings" on startup (SciFi)

0.125 "Potzrebie"
 408767 connection-limit change not recognized until restart (Chuck)
 408778 0.124 bug: signature "command" executed twice (Jack Cuyler)
 408866 0.124 bug: error with the signature delimiter (Mimi Doucet)
 408990 0.124 bug: no more line break at 80 characters (longint)
 371868 add common headers to `more headers' in post window (Frederic Crozat)

0.124 "Goblin Worlds"
 370195 0.123 mime decoding errors (Walt)
 404833 marking a group as read doesn't stick between sessions (Frank Tabor)
 406284 array bounds read in StringView::strchr (Bruno Barberi Gnecco)
 403762 pasted text isn't wrapped automatically (Artur Jachacy)
 121178 built-in editor wraps text improperly when composing (Carl Hudkins)
 405765 some multiparts aren't grouped properly (Konrad Karl)
 360376 go to next unread-group should be circular (Frederic Crozat)
 406248 make it easier to find previously-read context (Jack Spaar)
 346915 post window's profile list should show email addresses (Artur Jachacy)
 405637 give the save button focus in the save dialog (Chris Petersen)

0.123 "El Nuevo Barretto"
 404515 0.122 build problems in `po' (Pteer)
 404309 0.122 build problems for uint64_t (Geoff)
 404837 newsgroups disappear in 0.121 and 0.122 (Kevin Brammer)
 404183 null pointer in printf (Laurent Bigonville)
 371838 header pane not updated for scores on bytes or lines (Mike)
 370195 uulib/fptools.c assert issue - crash (Samuli Karkkainen)
 404979 in 0.122, `cache' behaves like `read' (Michael Bernstein)
 395318 show `wait' cursor when filtering (Kreao Kunjas)
 404347 indicate offline status more clearly (Samuli Karkkainen)

0.122 "Not Even Wrong"
 354779 pan no longer attempts to reconnect (Jason Auvenshine)
 403513 crash in FC6 when viewing one specific message (Yannick Palanque)
 401012 freed memory read in socket-impl-gio (Charles)
 402121 rare memory corruption when parsing dates in scorefile (Charles)
 403066 getting new groups, conditional jump on uninitialised value (Charles)
 401087 servers.xml's file permissions are too lax (Robert Marshall)
 399776 group pane not syncronized when group changes (Bruce Bowler)
 307028 editor error: cursor positioning on indented lines (Richard Rasker)
 401449 sort-by-author doesn't work properly (Charles Hill, Jason Mack)
 400814 unable to mark some groups as read (Christophe)
 402704 queue size too small in task-pane.cc (Shana)
 389817 article not shown if another DL in progress (Samuli Karkkainen)
 403076 focus is incorrect when returning to header pane (Walt)
 402743 add keyboard shortcuts in task window (Ulrich Binder)
 402200 support large article cache sizes (Craig Ruff)
 400800 use libsexy for the toolbar's icon entry fields (Charles)
 399616 log message error in 0.121 (Charles)
 400012 nntp 501 error messages could be more helpful (Pavel)
 400256 spurious error message after deleting server (Pavel)
 400329 spurious error opening newsrc file when adding new servers (Pavel)
 400026 spurious error messages when decoding articles w/o attachments (Pavel)
 358062 spurious error message on nntp 411 response (Pavel)
 361603 translatability problems for message strings (Flammie Pirinen)
 400670 fold together some of the redundant translation strings (Charles)

0.121 "Dortmunder"
 390784 crash when dragging over URL (Paul Williamson)
 394139 fix small memory leaks
 398074 free memory read on socket error
 396523 fix minor compiler warnings
 395475 make the save dialog simpler and more consistent with other Gnome apps
 393912 'cache article' downloads articles in random order (Per Hedeland)
 395069 faster thread filtering
 397409 remove unneeded temporary objects from Quark::to_view()
 390735 prompt for path if none specified when adding a nzb via command-line.
 380429 References: header gets lost when superseding an article.
 380902 Setting 'work offline' doesn't go offline if busy downloading
 350999 Switching header threading collapses threads, loses selection
 353556 make underline and bold conversion more sensible
 353453 position of a zoomed image should depend on where user clicked on image
 357631 watched threads filtering not persistent
 376759 request for task pane to show number and size of selected tasks
 372013 use pan's error log, not g_message(), in connection worker threads
 358925 download speeds aren't calculated accurately/correctly
 355805 add "mark group read before xover" to prefs dialog
 397348 new feature: preferences option to clear the article cache on exit
 350372 list missing parts of an incomplete multipart
 350442 configurable newsrc location
 392133 ability to enable/disable automatic scrolling to picture attachments
 397347 posting error message could be more helpful
 389887 the nntp 411 error message could be more helpful
 388717 connection error messages could be more helpful (Guilhem Bonnefille)
 393352 no icon in the `post new article' window (Darren Albers)
 393357 no icon in the `about' window (Darren Albers)

0.120 "Plate of Shrimp"
 356329 'Save Attachments' only saves one of multiple attachments (Walt)
 378973 CVS Compile problem uulib/fptools.c (Rinaldi J. Montessi)
 378823 Lockup when replying to articles with Message-ID containing %i (Duncan)
 375953 Missing files from POTFILES.in (Daniel Nylander)
 375405 Corrupted uudecode output with Pan 0.119 (Shantanu Goel)
 373520 Crash when creating a new score, if no article is selected. (Carl Roth)
 373523 Thread scoring is too slow (Carl Roth)
 378710 Some NZB files can't be imported (Martin Meinhold)
 381976 Crash when importing nzb file and previous path doesn't exist
 387940 "pan --version" doesn't work (Wouter Bolsterlee)
 391471 Task Pane doesn't have a Window icon (Darren Albers)

0.119 "Karma Hunters"
 373193 'get headers' menu adds xover task to bottom of queue (Bigfoot)
 372616 Cancel / Supercedes is unable to recognize my articles (Frederic Crozat)
 372241 pan crashes on some malformed charset messages. (Artur Jachacy)
 371720 references: field breaks threads in thunderbird (Frederic Crozat)
 371453 priority for post isn't high enough (Frederic Crozat)
 370930 speed up header pane filtering (Vincent Dupaquis)
 370195 uulib/fptools.c crash (António Godinho)
 363166 IPv6: no IPv4 fallback (Pav Lucistnik)
 355805 add option to mark group read before getting new headers (Brad Hudson)

0.118 "Gustaf Von Musterhausen"
 358061 try to make multiple connections at once. (Duncan)
 360375 non-ascii subject is mangled (F. Crozat)
 361448 make statusbar use less vertical space (Michael Monreal)
 362436 retrieving group list runs forever (Guilhèm Bonnefille, Søren Boll Overgaard)
 364357 repeated server error messages (J. D. McKim)
 365990 pan doesn't encode sender when sending (Christophe)
 363268 mixed-charset messages get garbled (Michael Rasmussen)
 366542 crash with "ignore thread" when no thread selected
 366663 sort history is not maintained when "flipping" a column (Chris Petersen)
 366665 author with @ in "real name" gets chopped up (Chris Petersen)
 367578 crash when subscribing to an allready subscribed group. (Axion)
 369008 make crc32 checking 50% faster (Charles)

0.117 "We'll fly and we'll fall and we'll burn"
 361941 Slow download / Download corrupted in 0.116, fix included (Stéphane BERTHELOT)
 355047 article download becomes saving after restart (K Haley, Duncan)
 360406 pop up a message when post is refused by server (Frederic Crozat)
 361121 pan icon love (Michael Monreal)
 361445 Headers pane always has a scrollbar (Michael Monreal)
 361885 Cannot background compose window (Ken Bloom)
 354831 Pan silently removes characters when sending articles (Artur Jachacy)

0.116 "Blanton's"
 360375 non-ascii subject is mangled
 357735 crash when updating headers (David Kelly)
 358061 better use of server connections. (Adam Huffman)
 359197 speed up downloads from news server. (Avi Drissman, Christophe GISQUET)
 358654 pan-0.115 fails to compile - error in article.{c,h} (Jack Cuyler)
 358710 Tasks has an empty tooltip when idle (Adrian Yee)
 358717 Order of files added to queue (Adrian Yee)
 358211 Get New Headers expands selected collapsed thread (Douglas Bollinger)
 359171 download files with same name -> mangled suffixes (Jerry Segers, Jr.)
 361144 xover tasks should be inserted at the top of the queue (David)
 360373 missing utf8 conversion in error messages (Frederic Crozat)
 360725 changing the default color of positive scores (Anthony DeRobertis)

0.115 "Tip Jar"
 358077 cut memory use in half for large binaries groups (Charles)
 358204 20% of group loading time is spent in unnecessary trim() (Charles)
 357863 marking an article unread does not update grouplist. (Christophe)
 349012 header pane's mouse drag-select works in gtk+ 2.10. (Douglas Bollinger)
 358305 make tasks window clearer (Pavel)

0.114 "You'll Have to Go Sideways"
 356805 fix 0.112 - 0.113 lockups. (George Sherwood, Robert Marshall)
 356834 crash: Cannot allocate memory during pthread_create (Axion)
 356023 can't read an article with [XX/XX] in the subject (Artur Jachacy)
 357236 save another 3MB from startup overhead. (Charles)
 356798 save another 2MB from startup overhead. (Charles)
 357073 uninitialized memory errors in body pane. (valgrind)
 357698 new followups mangled quoted non-UTF-8 text. (Artur Jachacy, Christophe)
 356835 display utf-7 text correctly. (Artur Jachacy)
 345838 pan commandline not closing after ctrl-c. (Axion)
 357230 simleys (emoticons) break links (Flammie Pirinen)
 356827 delete attachment when deleting article (Kevin Brammer)

0.113 "0.113 is one of Nakata's favorites"
 356070 News servers not merging properly. (Alen Williams, Adam Huffman)
 356206 crash when deleting messages (David Kelly)
 349044 save settings periodically to safeguard against data loss. (Glyn Parker)
 354405 fix 0.112 Windows 2000 regression. (K Haley)
 356626 Edit/Select Article Body doesn't work. (Lionel Elie Mamane)
 356325 save a little memory. (Charles)
 350530 save-attachments dialog's group prefs radiobutton (Jeff Berman, Walt)
 355335 updated french translation. (Frederic Bezies, Christophe Gisquet)

0.112 "Elijah Craig"
 348188 0.111 breaks `disable threading' (Artur Jachacy)
 354560 0.111 crashes OS X on `get new headers' (Dave Chand)
 353957 0.110 expands threads when reading root article (Christophe Lambin)
 349710 moved 'disable smooth scrolling' to Prefs dialog. (Christian Lohmaier)
 351104 0.107 unable to save article text (Christophe Lambin)
 353624 crash when deleting active tasks. (Douglas Bollinger)
 347632 down news server locks up Pan (John Mellor, Jason Auvenshine)
 353486 server connection(s) screw up after awhile (Simon Morgan, K Haley)
 354317 "add and rescore" doesn't remove 'plonked' posts (Jack Cuyler)
 354140 "get new" + "show matching..." broken. (Christophe Lambin, Adam Warner)
 354200 pan crashes when view doesn't get applied (Douglas Bollinger)
 354231 new French translation (Frederic Bezies)
 353158 File save stopping before complete (Steve, Ronald)
 352043 Can't undo a watch or ignore rule. (Frederic Bezies)

0.111 "Tweedy"
 352337 scroll bar at the end of headers list. (Dave Chand)
 353334 reduce xover memory usage (csv4me)
 353407 Queue goes out of order after restart (Damian)
 353222 Supersede features is busted. No text quoted. (Frederic Bezies)
 353191 Pan 0.110 opens only 1 connection to server (Stéphane BERTHELOT)
 353386 Group update order is "wrong" (Bruce Bowler)
 353083 Reading articles should always be on top of the queue (Thomas Fricke)
 353604 build failure on FreeBSD. (Olaf 'Rhialto' Seibert)
 353622 crash on deleting posts during xover (Christohpe GISQUET)
 353972 Pan adds another Re: in some replies (Artur Jachacy)
 353635 URLs not preceded by http:// cause problems (Bill Baker)
 353630 URL containing https:// does not highlight, is not clickable (Bill Baker)
 353577 0.110: crash on entering next news group (Anonymous)

0.110 "Beable Beable"
 352116 Crash when images are left-clicked (Kim, Phil Richards, walt)
 352155 "Show matching articles Threads" not applied on startup (Benjamin Esham)
 352179 Alt + g shortcut double booked (Kim)
 345626 'queued' triangle in header pane is inconsistent (Jeff Berman)
 353018 Some phrases are italicised incorrectly; "/usr/bin/pan" (Benjamin Esham)
 352798 '%g' option didn't work in the group-prefs save path. (Kevin Brammer)
 352170 Huge speedups when processing large task queues. (Samuli Kärkkäinen)
 351258 Updated French translation. (Frederic Bezies)
 351701 Can't back out of Posting Profile creation (Samuli Kärkkäinen)
 353042 Prefs dialog refers to "OS/X" rather than "OS X" (Benjamin Esham)
 352232 link with gthread to make gmime happy (Philippe Morey)
 352092 can't compile Pan in a separate directory from the source. (K Haley)

0.109 "Beable"
 351573 GNKSA: allow users to send mail from Pan (Charles)
 351577 GNKSA: allow users to cancel and supersede their own articles. (Charles)
 351804 0.108 crash sometimes when reading or following-up. (Sam Morris)
 351574 GNKSA: show interesting Newsgroups, Followup-To, and Reply-To headers.
 351576 GNKSA: honor followup-to, reply-to headers correctly. (Charles)
 351245 "browse" button in save dialog sets wrong directory sometimes. (Charles)
 351301 0.108 didn't build on gtk+ < 2.6. (Jeff Berman)
 351289 0.108 didn't build on Windows. (Artur Jachacy)
 351228 0.108's "default windows browser" didn't work. (Darren Albers)
 351735 fix gcc 3.2.x build error. (Christian Lohmaier)
 351312 Oscillating size-to-fit. (Per Hedeland)
 351244 save-ui.cc wasn't marked for translation. (Frederic Bezies)
 351520 fix rpmlint warnings. (Roger Pao)
 351316 Text error in View|Layout menu. (Duncan)
 351888 Missing header in posts: content-transfer-encoding. (Frederic Bezies)
 351258 Updated French translation. (Frederic Bezies)
 351238 Organize global menus and context menus similarly (Samuli Kärkkäinen)
 351365 GNKSA followup to subject "RE:" gives a subject "Re: RE" (Charles)
 351024 Improve the Windows version w/icons, metadata (Christophe Gisquet)
 351033 make header text selectable in the body pane. (Danny Milo)
 350501 handle sigterm gracefully. (Soren Boll Overgaard)

0.108 "Mama's little Joyboy loves lobster, lobster"
 348925 Let users specify which web browser to use for links. (Dave Chand)
 350796 Fixed crash on reading articles. (Jeremy Messenger)
 351120 Fixed display of multipart yEnc images. (Per Hedeland)
 350514 UTF-8-dirty bodies weren't quoted in replies in 0.107. (Artur Jachacy)
 350501 handle sigquit, sigint gracefully. (Joshua Kwan, Soren Boll Overgaard)
 350511 Name in the attribution line is garbled somtimes. (Artur Jachacy)
 349009 "Show matching articles' Threads" option not saved (Douglas Bollinger)
 350971 area to the right of a URL link is clickable. (Artur Jachacy)
 349710 Add preferences setting to turn off smooth scrolling. (Duncan)
 350609 Updated French translation. (Frederic Bezies and Christophe Gisquet)
 350598 Can't put compose window behind the reader window. (Ken Bloom)
 350803 configure script portability changes. (Christophe Gisquet)
 350984 more configure script portability changes. (Christophe Gisquet)
 350541 use freedesktop.org's desktop file location standard. (Frederic Bezies)
 350956 use freedesktop.org's desktop categories standard. (Jeremy Messenger)
 350531 fix grammar errors in "Save Articles" window. (Jeff Berman)

0.107 "Umi De No Jisatsu"
 349784 When server returns a 482, make it clear to the user. (Volker Wysk)
 350309 Ellipsize text in the header pane. (Baris Cicek)
 350063 New French translation. (Frederic Bezies)
 349797 Make behavior for 'read more' a preference option (Shining Chaos)
 349751 Tasks window can't be put behind main window (Daniel Hobe)
 350040 Add --with-gnome and --with-gtkspell to configure script. (Sven Wegener)
 349752 Multiple task and log windows could be opened. (Daniel Hobe)
 349753 0.106: a warning dialog (#349312) appears if posting succeeds. (Duncan)
 349721 Changing subject or newsgroups in followups didn't work. (Duncan)
 350371 Headers shown in 'show all headers' were included in follow-ups. (gbzzl)
 349850 No way to make servers go online after an error occurs. (Sam Guidice)
 346579 Couldn't show some articles with mislabeled encodings (Artur Jachacy)
 350485 Poor handling of noise in multipart uu messages. (Per Hedeland)
 349734 followup quoting error (odd character in "From:" header issue?) (Duncan)
 349700 Fixed bug when queueing multiparts that had missing parts. (K. Haley)
 350026 Mark the group preferences dialog for translation. (Frederic Bezies)

0.106 "Dum Maro Dum"
 348458 'space' goes to the next article, not unread article. (Artur Jachacy)
 349022 couldn't mark a collapsed thread as read. (Artur Jachacy)
 349312 warn if closing Post window w/o saving or posting text. (Sandy Weicks)
 348881 crashed when the group's sort order got corrupted. (XioNox)
 349597 crashed when the queue is very large. (Alen Williams)
 349053 crashed when the scorefile had headers that Pan didn't recognize. (Lin)
 349498 multipart corruption in datafiles. (K Haley)
 345626 Some states were wrong in the header pane. (Jeff Berman, Ken Geis)
 349016 Ignored Articles were shown when matching by thread. (Douglas Bollinger)
 349145 "pan --nzb" didn't exit when 'close' was pressed. (K Haley)
 349495 header pane sorting didn't stick when changing groups.  (Christophe)
 349550 if 'mark all read when leaving group' is set, mark on exit too. (Damian)

0.105 "Churchill's Chevy Nova"
 348667 new profile setting for which server to post with. (David Shochat)
 348660 from 0.14: remap keyboard accelerators with ~/.pan2/accels.txt (Duncan)
 348704 from 0.14: "add similar articles to selection" (Charles)
 342034 from 0.14: shift-G go to next group; g to next unread. (Jim Henderson)
 342032 from 0.14: accels for get-new and get-new-in-subscribed. (Jim Henderson)
 348437 revived 0.14 feature: per-group save paths. (Darren Albers)
 348707 disable "group properties" button if no group selected. (Kevin Gottsman)
 348178 remember user settings in the 'download headers' dialog. (Dave Chand)
 348676 add groupname to 'download headers' dialog. (Jeff Berman)
 348441 posting profiles: let users browse for their sig file. (Artur Jachacy)
 348669 posting profiles: double-clicking a profile to edit it. (Duncan)
 348802 filtering by 'fetched/cached' didn't work. (Ufuk YILDIRIM)
 337319 news servers couldn't be deleted. (Soren Boll Overgaard)
 348447 fixed 0.104 overflow & crash. (Artur Jachacy)
 348451 fixed 0.104 `next article' fail if no article selection. (Artur Jachacy)
 348472 fixed 0.104 build error w/gtk 2.4. (Kevin Gottsman)


0.104 "YES, OK! I *AM* COMMUNIST SPICE!!!"
* added option to toggle the 0.103 'size to fit' feature. (Brad Sims, #347268)
* when the disk is full, show a warning dialog and go offline. (Phil Wlazlo, #347654)
* lower memory overhead (again!) in the group and header panes.
* the 'save' dialog's default action is now 'save', not 'cancel'. (Kelly Martin)
* by default, store the scorefile in ~/.pan2 rather than ~/News. (Sam Morris, #347713)
* 0.14 feature: periodic keepalive messages to idle connections. (Christophe, #342492)
* 0.14 feature: header pane shows hidden/unread child counts. (Douglas Bollinger, #347036)
* revived 0.14 feature: "delete group's articles" (Steve Welch, #346986)
* revived 0.14 feature: header pane 'wraparound' (Artur Jachacy, #347758)
* revived 0.14 feature: toggled header pane threading on/off (Artur Jachacy, #348188)
* fixed crash when reordering tasks via the task pane. (Alen Williams, #347272)
* fixed 0.103 memory leak when reading articles. (Valgrind)
* fixed 0.102 code that significantly slowed down group loading. (Charles, #347275)
* fixed 0.100 build error with gcc 3.2.3.  (Christian Lohmaier)
* fixed ETA bug in the task pane. (Richard Gilbert, #347007)
* don't "jump" in the header pane when getting new articles. (S. Mazzola, #347862)

0.103 "Eldarfaroth"
* scale-to-fit of oversized images a la firefox. (Darren Albers, #346165)
* revived 0.14 feature: the old "save as..." dialog.
* pop up the 'download headers' dialog when entering an empty group.
* when loading a group, give keyboard focus to the header pane. (Jeff Berman, #342975)
* remember the body pane's expander state between sessions. (Jeff Berman, #342976)
* 'save' tasks now show their target direectory in the task manager. (Carl Soderstrom, #106763)
* Follow Gnome HiG by having a View->Toolbar checkbox to toggle the toolbar. (Charles, #110953)
* "show matching articles' threads" didn't work. (Douglas Bollinger, #346408)
* Pan was confused about some headers' encodings and showed them badly. (Artur Jachacy #346426)
* non-ascii characters were sometimes not handled gracefully. (Søren Boll Overgaard, #337317)
* bracketed urls were parsed incorrectly. (Artur Jachacy, #346543)
* header pane wasn't properly repositioned after deleting articles. (Jeff Berman, #342985)
* fixed minor 0.101 bug in highlighting bold/italic/underline text. (Charles, #346718)
* fixed selection 'jumping' when changing filters. (Duncan)
* the new scoring rule dialog didn't behave nicely. (Søren Boll Overgaard, #338727)
* fixed NetBSD build errors. (Olaf Seibert. #346993)
* fixed group description warnings on Windows. (K Haley, #346604)

0.102 "From the years of neon through iodine"
* let users set charsets when posting articles. (Frederic Bezies, #345330)
* added ETA, bytes remaining to task window. (F. Ingelrest, #346339)
* remember size of task and event windows. (Jeff Berman, #345628)
* improved header pane sorting for a.b.m.divx. (Mike Corbett, #346069)
* data files were being opened in the wrong mode under Windows. (K Haley, #345941)
* fixed 0.101 bug that broke handling of URLs clicked on in the body pane. (Bigfoot, #345867)
* fixed crash when downloading articles with invalid `bytes' fields. (Alen Williams, #343257)
* fixed utf8 string corruption and crash when sorting by subject. (Artur Jachacy, #345784)
* "edit preferences" jumped to the group pane when in tabbed mode. (Martin Zuziak, #342517)

0.101 "A pulse of dying power in a clenching plastic fist"
* added to add text file, plaintext, and script/command signatures. (ERACC, #345555)
* extra headers for outgoing posts can now be added per-posting profile. (Mike Dee)
* added `edit posting profiles' to the main edit menu.  (Mike Dee)
* added toggle to enable/disable spellchecking in the posting window. (Frank Olieu)
* sort the event window's list s.t. the latest events are visible. (Jeff Berman, #345630)
* better handling of *bold*, /italic/, and _underlined_ text. (Kelsey Bjarnason, #345705)
* "rot13 selected text" didn't work. (Artur Jachacy, #342149)
* multipart yEnc pictures are now displayed properly.  (and was *that* a fun bug.)
* multiple attachments in a single article weren't always displayed.  (Walt, #345450)
* custom fonts in the group pane weren't applied on startup.  (Stijn Declercq)
* fixed off-by-one error in scoring articles by Lines or Bytes.
* more Win2K support goodness from Christophe Guisquet and Mike Houwers.
* close the 'about' dialog gracefully in gtk >= 2.9.  (Yanko Kaneti, #345292)
* about a dozen minor memory leaks fixed. (Valgrind)

0.100 "Hey, I like this. Early nothing!"
* added `download last N days' in the 'get headers' dialog.
* show per-server bandwidth and idle/active connection counts in the status tooltip. (Duncan)
* merged the two toolbars so that the group pane's toolbar is harder to obscure. (Chris)
* the save-attachments "save" button draws focus now. (Kevin Gottsman, #345026)
* fixed bug that didn't mark saved articles as read. (Keith Richie)
* fixed 0.99 typo that removed "Get New Headers in Subscribed Groups" from the toolbar. (Chris)
* some nntp servers don't allow `group' command before `mode reader'. (Keith Trudell, #343814)
* fixed crash on corrupt group data files. (Stephan Walter, #344211)
* fixed crash on corrupt xover lines. (Thomas Meyer, #343624)
* fixed 0.99 gi18n.h build errors. (John Aldrich)
* fixed 0.99 refresh error in the group pane. (Chris)
* expired headers are no longer marked as unread. (K. Haley, patch. #343163)
* new headers downloaded didn't honor the "expand threads" prefs setting. (Jack Cuyler, #67282)
* applied Windows 2K patch by Christophe GISQUET. (#311663)

0.99 "Fat man, you shoot a great game of pool."
* added Message-Id filtering in the header pane. (Derrick Everett, #342442)
* remember window maximized state between sessions. (Chris Maaskant)
* added preferences option to expand all threads when entering a group. (Motor)
* Pan's first Bulgarian translation, courtesy of Yavor Doganov!
* When reading a group for the first time, a "download headers" pops up. (Walt)
* Added a group pane toolbar button for the "download headers" button.
* Users of gtk < 2.6 now have an `about' dialog. (Kevin Gottsman, #342484)
* statusbar tooltip bar to show active/idle connection counts. (Jeff Berman, #342984)
* many i18n fixes by Yanko Kaneti. (#340999)
* fixed tooltip error for the cached messages filter button. (Walt)
* the group pane's scrollbar was broken to gtk 2.6 users. (dhj, #342647)
* highlight email addresses, and handle their being clicked, correctly. (Chris, #342893)
* fixed incorrect coloring of low-scoring articles. (Chris)
* the header pane no longer `jumps' when deleting articles. (Jeff Berman, #342985)

0.98 "The plain old chaos of undifferentiated weirdness."
* added optional `bytes' column to the header pane. (Steven David Ruiz)
* remember the user-specified sort order between sessions. (Coran Fisher)
* ignore "Re: " when sorting headers by subject. (Charles)
* filtering in large groups is now /very/ fast. (Charles)
* deleting a lot of articles in a group is now /very/ fast too. (Charles)
* small speedups elsewhere. (Charles)
* fixed crash-on-shutdown bug. (Jim Henderson, Artur Jachacy)
* fixed broken tree expander buttons in the group & header panes. (Walt, doktorseven, Duncan)
* fixed 0.97 bug that sorted child articles backwards. (Artur Jachacy)

0.97 Atoz and Tanda
Usability
* remember pane geometry, and header pane column widths, between sessions.
* allow rearrange and hide/show header pane columns. (Bill Pier, Duncan, Les Newell)
* lots of speed improvements: startup, shutdown, and group/header panes. (Charles)
* fix wiki-style-boldfacing in quoted text. (Christophe)
* set a window manager `role' for each different Pan window. (Duncan)
* fixed crash-on-startup bug. (#340966, Alen Williams)
* don't corrupt data files when writing them and the disk is full. (#339977, Adam Huffman)
* fixed a crash when sorting article by subject. (Walt, Artur Jachacy)
* fixed crash when disabling a toolbar filter that was enabled at startup. (Charles)
* non-root nodes in the header pane should be sorted by age. (#108757, Artur Jachacy)
* fixed bug that kept some articles from being decoded. (Jarek Sobieszek, Sam)
* fixed the `losing subscribed groups' bug. (Christophe)

0.96: "Afghanistan Banana Stand."
Usability
* another round of speed and memory optimizations. (Charles)
* cleanups in the `posting preferences' dialog. (Christophe)
* use the right monospace font in the post-article dialog. (Christophe)
* added a config-file option to increase the disk cache. (Duncan, K. Haley)
* fixed crash on very, very long References: header. (Flammie Pirinen)
* don't crash on SIGPIPE. (Sam Guidice)
* fixed Windows crash when reading some mime messages. (Artur Jachacy)
* fixed 0.95 memory errors. (Valgrind)
* fixed 0.95 pan_tree_store_iter_children() assertion failure. (Sami Haahtinen)
* fixed issue with regular expression metachars in watch/ignore thread. (Christophe)
* fixed 0.95 error that broke header pane navigation.  (Sami Haahtinen, Walt)
* fixed bug that sorted unsubscribed chunks of newsgroups incorrectly in the group pane.
* fixed 0.95 compile error when building with gtk 2.4. (Kevin Gottsman)
* fixed 0.95 compile error when building on Windows.  (Artur Jachacy, K. Haley)

0.95: "I feel clean now. My whole body's just a-quivering with cleanness!"
* set priorities for multiserver - primary or backup server. (Lyle, Chris Maaskant)
* faster loading and filtering in the group and header panes.
* faster decoding than 0.93 and 0.94. (Ulrich "boo")
* fit more rows into the group and header panes. (Per Hedeland)
* put color hints in `score' column if there's a high-scoring article hidden in the tree.
* fixed another tail recursion crash in large newsgroups. (Sinan Karasu)
* fixed an idle socket crash.  (Dave Chand)
* watch/ignore thread works again. (Chris Maaskant)
* try to decode as much of an incomplete multipart as possible. (Ulrich "boo")
* when possible, fetch articles via `ARTICLE nnn' instead of `ARTICLE <message-id>',
  because some servers have problems with the latter form.  (Duncan)
* `delete article' now deletes subthreads of non-expanded articles like the old Pan did. (Sam)
* expand "other groups" if it has groups matching a search criteria. (Matt McAdoo)
* scoring by "Newsgroups:" header works now. (Tehrasha Darkon)
* some multiparts were broken because uulib couldn't suss out the part order. (Ulrich "boo")
* fixed minor build error on FreeBSD. (Per Hedeland)
* fixed iterator invalidation crash. (Dave Chand)

0.94: Ready! Fire! Aim!
* return of the preferences dialog, part 2: colors. (Jim Henderson, Duncan)
* use gnome-hig-correct name ("Quit"), shortcut (control-Q) for exiting Pan. (Henri Naccache)
* removed dupliate toolbar buttons.
* 'mark-article-unread' and 'download-selected-articles' are back. (Duncan)
* when starting up Pan with a tabbed layout, make the group pane visible. (Robert Marshall)
* fixed stack corruption when a group had more than about 40,000 root articles. (Sinan Karasu)
* fixed nzb assertion "`parts.size() > index' failed." (Rich "budman"; pdxsam)
* fixed nzb bug that gave some files too many parts. (Ulrich "Boo")
* some multipart mime messages were not displayed properly. (Sam Morris)
* fixed a couple of OS/X shutdown crashes. (Dave Chand)
* fixed keyboard shortcut between 'mark-article-read' and 'use-monospace-font' (Duncan)
* fixed resize error in tabbed layout mode. (Robert Marshall, Eric Ortega)
* handle groups with ':' in their name in newsgroup.dsc and newsgroup.ynm. (Motor)
* fixed X-Face error in Windows. (Artur Jachacy)
* some preferences, like window layout, weren't loaded properly. (Matt Braymiller)
* URLs containing commas didn't link correctly. (Henri Naccache)
* fixed a handful of small memory leaks. (Dave Chand, valgrind)

0.93: "It's Like Living Inside a Bouncy Castle!"
* return of the preferences dialog, part 1: mouse, pane layout, fonts, header downloads.
* in the header pane, keep child nodes sorted by date.
* `delete article' was in the wrong place in the menus. (Sam)
* `read-selected-article' now expands the article's subtree in the header pane.
* groupname abbreviation off by default. (Motor)
* `mark read' is back. (Christian Lohmaier)
* when shortening names in the group pane, shorten discussion
  groups like "alt.something.d" to "a.something.d", not "a.s.d". (Duncan)
* fixed crash when adding some news servers' group lists. (Søren Boll Overgaard)
* fixed threading error. (Christophe)
* fixed crash when loading groups with munged References: headers. (Christophe, others)
* fixed crash when reading articles with oddly-munged From: headers. (Christophe)
* fixed crash when reading articles with non-ascii Subject: headers. (Christophe)
* running configure no longer requires perl's XML::Parser. (K Haley)

0.92: "I hope the demons pluck your eyes out and use them for marbles!"
* added score-by-crosspost-count to the Add Score dialog. (Alexander Content)
* horziontal scrollbar in gruop pane when not all text can be displayed. (Christophe)
* reintroduced "get new headers for subscribed groups" from 0.14.x (Christian Lohmaier, others)
* reintroduced more of 0.14.x's toolbar buttons.
* pan remembers its window dimensions, pane sizes, and toggle settings again now.
* fixed newsrc underflow/overflow corruption. (Christophe)
* fixed "Can't determine this article's charset" error. (Artur Jachacy)
* posts were incorrectly formatted. (Christophe, Artur)
* on windows, dates in the header pane looked wrong. (Kevin Gottsman)
* fixed crashes when the Score file was filtering by Xref header.  (Rinaldi J Montessi)
* fixed underflow error that said empty groups had millions of unread articles.  (K Haley)
* fixed off-by-one that kept 'get new headers' from getting the latest article. (Christophe)
* incorrectly gave "Error - message appears to have no new content"
  when non-Latin/Latin 1 characters were used. (Artur Jachacy)
* removed ANNOUNCE.html from pan.spec.in (Adam Huffman)
* in url.cc the glib.h include needs to be moved above the #ifdef,
  otherwise G_OS_WIN32 is not defined.  (K Haley)
* replaced `uint' to `unsigned int'. (K Haley)

0.91: "I'm lost. I'm drunk. I'm impure. What a life!"
* added automatic authentication. (Jim Henderson)
* in tabbed mode, jump to the right tab when loading a group or article. (Robert Marshall)
* "Single-click selects, rather than loads,..." (Steven Adeff)
* fixed crash when downloading header with false positive multipart subject (henri naccache)
* fixed missing References header in followups (Jim Henderson)
* article deletion didn't work. (Darren Albers)
* fixed rpm spec file errors. (Adam)
* fixed 64-bit build errors. (Jon v/d Kamp, Steven Adeff)
* fixed OS/X build errors. (Dave Chand)
